- [HTTP request](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/organizations.locations.connections/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/organizations.locations.connections/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/organizations.locations.connections/create#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/organizations.locations.connections/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/organizations.locations.connections/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/organizations.locations.connections/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/organizations.locations.connections/create#try-it)

Create a Connection to an external data source.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4 us eu in   
`POST https://dlp.googleapis.com/v2/{parent=organizations/*/locations/*}/connections`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization): - Projects scope: `projects/{projectId}/locations/{locationId}` - Organizations scope: `organizations/{org_id}/locations/{locationId}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dlp.connections.create` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "connection": { object (`https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/organizations.locations.connections#Connection`) } } ``` |

| Fields ||
|---|---|
| `connection` | ``object (`https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/organizations.locations.connections#Connection`)`` Required. The connection resource. |

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/organizations.locations.connections#Connection`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).